<?php



require_once ("../../config/Cado.php");

require_once("cCaja.php");

$oCaja = new cCaja();



if($_POST['action_caja']=="insertar"){

	

	if(!empty($_POST['txt_caj_nom']))

	{

		$oCaja->insertar($_POST['cmb_punven_id'],$_POST['cmb_ban_id'],$_POST['cmb_mon_id'],$_POST['txt_caj_nom'],$_POST['cmb_caj_tip'],$_POST['txt_caj_cci']);

		

		$dts=$oCaja->ultimoInsert();

		$dt = mysqli_fetch_array($dts);

			$caj_id=$dt['last_insert_id()'];

		mysqli_free_result($dts);

		

		$data['caj_id']=$caj_id;

		$data['caj_msj']='Se registró correctamente.';

	}

	else

	{

		$data['caj_msj']='Intentelo nuevamente.';

	}



	echo json_encode($data);

}



if($_POST['action_caja']=="editar"){

	if(!empty($_POST['txt_caj_nom']))

	{

		$rs=$oCaja->modificar($_POST['hdd_caj_id'],$_POST['txt_caj_cci'],$_POST['txt_caj_nom'],$_POST['cmb_caj_tip'],$_POST['cmb_punven_id'],$_POST['cmb_ban_id'],$_POST['cmb_mon_id']);

		

		$data['caj_msj']='Actualizado correctamente.';

	}else{

		$data['caj_msj']='Intentelo nuevamente.';

	}

	echo json_encode($data);

}



if($_POST['action']=="eliminar")

{

	if(!empty($_POST['caj_id']))

	{

		$oCaja->modificar_campo($_POST['caj_id'],'xac','0');

		echo 'Se envió a la papelera correctamente.';



	}

	else

	{

		echo 'Intentelo nuevamente.';

	}

}

?>